package com.esignlive.guidance.forum;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.TimeZone;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.builder.PackageBuilder;

public class ConfigureExpiryDate {

	public static void main(String[] args) {
		final String API_KEY = "your_api_key";
		final String API_URL = "https://sandbox.esignlive.com/api";

		EslClient eslClient = new EslClient(API_KEY, API_URL);

		// step1: convert to GMT time
		// local date, expire at 2019-08-23T00:00:00 EDT
		TimeZone localTimeZone = TimeZone.getTimeZone("EDT");
		Calendar localCalender = new GregorianCalendar(2019, 8 - 1, 23, 0, 0, 0);
		Date gmtDate = new Date(localCalender.getTimeInMillis() - localTimeZone.getRawOffset());

		// step2: build package with expiry date
		DocumentPackage pkg = PackageBuilder
				.newPackageNamed("Create a package with Expiry Date - " + System.currentTimeMillis())
				.expiresAt(gmtDate)
				.build();
		
		//step3: create package
		PackageId createPackageOneStep = eslClient.createPackageOneStep(pkg);
		System.out.println(createPackageOneStep);
		
	}

}
